--- pgadmin3/pgadmin/schema/pgColumn.cpp	2011-04-12 19:26:25.000000000 +0200
+++ changes/pgColumn.cpp	2011-04-12 16:47:07.000000000 +0200
@@ -298,6 +298,7 @@
 {
 	wxString sql = wxEmptyString;
 	wxString seqDefault1, seqDefault2;
+	bool sequence9 = (GetDatabase()->BackendMinimumVersion(9, 0));
 
 	if (table->GetOfTypeOid() == 0)
 		sql += GetQuotedTypename();
@@ -324,7 +325,8 @@
 
 	if ((sql == wxT("integer") || sql == wxT("bigint") ||
 	        sql == wxT("pg_catalog.integer") || sql == wxT("pg_catalog.bigint"))
-	        && (GetDefault() == seqDefault1 || GetDefault() == seqDefault2))
+	        && ((sequence9 && !GetSerialSequence().IsEmpty()) ||
+			(!sequence9 && (GetDefault() == seqDefault1 || GetDefault() == seqDefault2))))
 	{
 		if (sql.Right(6) == wxT("bigint"))
 			sql = wxT("bigserial");